Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.content.mbeans
Interface ContentStoreMBean

All Superinterfaces:
  ConfigurationMBean, javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, ServiceConfigurationMBean, WebLogicMBean

public interface ContentStoreMBean
extends ServiceConfigurationMBean

Configuration for repositories in the Content Management system. Repositories are dynamic storage locations for content and documents. For each repository, there exists a corresponding MBean instance. The Content Manager aggregates the sum of all repositories and provides a single, unified view for usage. Child of ContentManagementMBean

Field Summary

Fields inherited from interface weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`long` | `getBinaryCacheMaxEntrySize()` Returns the maximum size for a byte[] inside the repository binary cache.
`String` | `getClassName()` Returns the fully-qualified class name representing the connection interface for a repository.
`String` | `getPassword()` Returns password for accessing repository.
`Properties` | `getProperties()` Returns any properties for repository in key=value format.
`boolean` | `getReadOnly()` Provides read-only setting for a repository.
`String` | `getUsername()` Returns username for accessing repository.
`void` | `setBinaryCacheMaxEntrySize(long maxEntrySize)` Sets the max size for an entry inside the repository binary cache.
`void` | `setClassName(String newClassName)` Sets the fully-qualified class name representing the connection interface for a repository.
`void` | `setPassword(String newPassword)` Sets password for accessing repository.
`void` | `setProperties(Properties newProperties)` Sets any properties for repository in key=value format.
`void` | `setReadOnly(boolean newReadOnly)` Sets the read-only attribute for a repository.
`void` | `setUsername(String newUsername)` Sets username for accessing repository.

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`freezeCurrentValue, getAttributeStringValue, getComments, getNotes, getSetFields, getXmlConverter, isDefaultedMBean, isPersistenceEnabled, preDeregister, registerConfigMBean, restoreDefaultValue, setComments, setDefaultedMBean, setNotes, setPersistenceEnabled, touch, unRegisterConfigMBean`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getClassName

    public String getClassName()

  Returns the fully-qualified class name representing the connection interface for a repository. The Content Manager attempts to load this class when working with content from a repository.

  Returns:
    Class name serving as SPI.

### setClassName

    public void setClassName(String newClassName)

  Sets the fully-qualified class name representing the connection interface for a repository. The Content Manager attempts to load this class when working with content from a repository.

  Parameters:
    `newClassName` - Fully-qualified class name for repository
  MBean Dynamic Method

### getUsername

    public String getUsername()

  Returns username for accessing repository.

  Returns:
    Current username for accessing repository.

### setUsername

    public void setUsername(String newUsername)

  Sets username for accessing repository.

  Parameters:
    `newUsername` - Username for repository access.
  MBean Dynamic Method

### getPassword

    public String getPassword()

  Returns password for accessing repository.

  Returns:
    De-encrypted password for accessing repository.

### setPassword

    public void setPassword(String newPassword)

  Sets password for accessing repository.

  Parameters:
    `newPassword` - Password for repository authentication.
  MBean Dynamic Method
  MBean Attribute is encrypted

### getProperties

    public Properties getProperties()

  Returns any properties for repository in key=value format.

  Returns:
    Properties for configuring a repository.

### setProperties

    public void setProperties(Properties newProperties)

  Sets any properties for repository in key=value format.

  Parameters:
    `newProperties` - Properties for configuring a repository.
  MBean Dynamic Method

### getReadOnly

    public boolean getReadOnly()

  Provides read-only setting for a repository.

  Returns:
    Read-only setting for a repository.

### setReadOnly

    public void setReadOnly(boolean newReadOnly)

  Sets the read-only attribute for a repository.

  Parameters:
    `newReadOnly` - Read-only attribute for a repository.
  MBean Dynamic Method

### setBinaryCacheMaxEntrySize

    public void setBinaryCacheMaxEntrySize(long maxEntrySize)

  Sets the max size for an entry inside the repository binary cache. The Content Manager will validate the size of each BinaryValue property against this setting before adding the associated byte[] to the cache.

  Parameters:
    `maxEntrySize` - Maximum size of a BinaryValue for caching.
  MBean Dynamic Method

### getBinaryCacheMaxEntrySize

    public long getBinaryCacheMaxEntrySize()

  Returns the maximum size for a byte[] inside the repository binary cache.

  Returns:
    Current username for accessing repository.

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2003 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 BEA Systems, Inc. All Rights Reserved